package com.hchyun.test.entity;

import com.hchyun.common.annotation.Excel;
import com.hchyun.common.core.entity.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 树测试对象 test_tree
 * 
 * @author hchyun
 * @date 2021-01-23
 */
public class TestTree extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 父id */
    private Long pId;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setpId(Long pId) 
    {
        this.pId = pId;
    }

    public Long getpId() 
    {
        return pId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pId", getpId())
            .append("content", getContent())
            .toString();
    }
}
